1. Job Offer Submissions
Leadcast Public Api
  • Getting Started
  • Changelog
  • Companies
    • Query all companies
      GET
    • Retrieve a single company
      GET
    • Retrieve job offers for a company
      GET
  • Employees
    • Query all employees
      GET
    • Retrieve a single employee
      GET
    • Retrieve bookings for an employee
      GET
    • Retrieve funnels for an employee
      GET
  • Job Offers
    • Query all job offers
      GET
    • Create
      POST
    • Retrieve a single job offer
      GET
    • Retrieve bookings for a job offer
      GET
    • Retrieve funnels for a job offer
      GET
  • Job Offer Submissions
    • Query all job offer submissions
      GET
    • Retrieve a single job offer submission
      GET
    • Retrieve bookings for a job offer submission
      GET
  • Mapping
    • Maps resources to an external id
      PUT
  • Resource Bookings
    • Query all resource bookings
      GET
    • Retrieve a single resource booking
      GET
  • Schemas
    • Candidate
    • JobOffer
    • CompanyReference
    • ProblemDetails
    • Employee
    • CompanyReference2
    • CompanyReference3
    • Gender
    • EmployeeReference
    • CompanyReference4
    • JobOfferReference
    • JobOfferSubmission
    • CompanyReference5
    • KeysetPagedResultOfEmployee
    • KeysetPagedResultOfJobOffer
    • File
    • JobOfferReference2
    • KeysetPagedResultOfJobOfferSubmission
    • EmployeeReference2
    • JobOfferSubmissionReference
    • MapResourceRequest
    • JobOfferSubmissionStatusDate
    • User
    • JobOfferCandidateFeedback
    • JobOfferCandidateFeedbackOption
    • KeysetPagedResultOfResourceBooking
    • KeysetPagedResultOfCompany
    • ResourceBooking
    • ResourceRequirement
    • JobOfferReference3
    • KeysetPagedResultOfJobOfferFunnel
    • SyncEntry
    • UserReference
    • UserReference2
    • Company
    • Member
  1. Job Offer Submissions

Retrieve a single job offer submission

GET
{{baseUrl}}/api/public/joboffer-submissions/{id}
Retrieve a single job offer submission using the unique identifier.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://demo.leadcast.nl/api/public/joboffer-submissions/?culture' \
--header 'Accept-Language;' \
--header 'x-api-key: <api-key>'

Responses

🟢200OK
application/json
OK
Body

Example
{
    "createdOn": "2019-08-24T14:15:22.123Z",
    "modifiedOn": "2019-08-24T14:15:22.123Z",
    "jobOffer": {
        "title": "string",
        "internalReference": "string",
        "externalReference": "string",
        "company": {
            "name": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        },
        "invoiceCompany": {
            "name": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        },
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "external": {
            "property1": "string",
            "property2": "string"
        },
        "customFields": {}
    },
    "candidate": {
        "company": {
            "name": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        },
        "fullName": "string",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "external": {
            "property1": "string",
            "property2": "string"
        },
        "customFields": {}
    },
    "operators": [
        {
            "fullName": "string",
            "email": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        }
    ],
    "members": [
        {
            "type": "string",
            "fullName": "string",
            "email": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        }
    ],
    "status": "string",
    "statusDate": "2019-08-24T14:15:22.123Z",
    "extensionComment": "string",
    "allowExtension": true,
    "kickbackFee": 0,
    "portalFee": 0,
    "internalHourlyRate": 0,
    "requestedHoursPerWeek": 0,
    "requestedStartDate": "2019-08-24T14:15:22.123Z",
    "requestedEndDate": "2019-08-24T14:15:22.123Z",
    "expectedResponseDate": "2019-08-24T14:15:22.123Z",
    "submittedHourlyRate": 0,
    "submittedHoursPerWeek": 0,
    "submittedStartDate": "2019-08-24T14:15:22.123Z",
    "submittedEndDate": "2019-08-24T14:15:22.123Z",
    "withdrawnAfterIntake": true,
    "statusDates": [
        {
            "status": "string",
            "date": "2019-08-24T14:15:22.123Z"
        }
    ],
    "labels": [
        "string"
    ],
    "files": [
        {
            "type": "string",
            "contentType": "string",
            "contentLength": 0,
            "subType": "string",
            "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",
            "fileName": "string",
            "fileUrl": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        }
    ],
    "syncHistory": [
        {
            "initiatedOn": "2019-08-24T14:15:22.123Z",
            "initiatedBy": {
                "fullName": "string",
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "external": {
                    "property1": "string",
                    "property2": "string"
                },
                "customFields": {}
            },
            "syncedOn": "2019-08-24T14:15:22.123Z",
            "name": "string",
            "destinationId": "string",
            "status": "string",
            "error": "string"
        }
    ],
    "candidateFeedback": {
        "isFit": true,
        "score": 0,
        "options": [
            {
                "name": "string",
                "value": null
            }
        ],
        "comment": "string",
        "feedbackBy": {
            "fullName": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        },
        "feedbackOn": "2019-08-24T14:15:22.123Z"
    },
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "external": {
        "property1": "string",
        "property2": "string"
    },
    "customFields": {}
}
🟠400Bad Request
🟠404Not Found
🔴500Internal Server Error
Modified at 2026-03-11 23:20:04
Previous
Query all job offer submissions
Next
Retrieve bookings for a job offer submission
Built with